package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*评论详情表
* @author quyixiao
* @since 2025-08-25
*/

@Data
@TableName("vv_comment_detail")
public class VvCommentDetailEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvCommentDetailEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";    // 修改时间
    public final static String comment_url = CLASS_NAME + "comment_url";    // 评论url
    public final static String comment_id = CLASS_NAME + "comment_id";      // 评论id
    public final static String type_ = CLASS_NAME + "type";                 // image or  video
    public final static String product_id = CLASS_NAME + "product_id";      // 商品id
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //评论url
    private String commentUrl;
    //评论id
    private Long commentId;
    //image or  video
    private String type;
    //商品id
    private Long productId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 评论url 
     * @return
     */
    public String getCommentUrl() {
        return commentUrl;
    }
    /**
     * 评论url 
     * @param commentUrl
     */
    public void setCommentUrl(String commentUrl) {
        this.commentUrl = commentUrl;
    }

    /**
     * 评论id 
     * @return
     */
    public Long getCommentId() {
        return commentId;
    }
    /**
     * 评论id 
     * @param commentId
     */
    public void setCommentId(Long commentId) {
        this.commentId = commentId;
    }

    /**
     * image or  video 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * image or  video 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 商品id 
     * @return
     */
    public Long getProductId() {
        return productId;
    }
    /**
     * 商品id 
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    @Override
    public String toString() {
        return "VvCommentDetailEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",commentUrl=" + commentUrl +
                ",commentId=" + commentId +
                ",type=" + type +
                ",productId=" + productId +
                "}";
    }
}